Bug 1384002 - mon crash when MDSs run with standby_for_rank set
Summary: mon crash when MDSs run with standby_for_rank set
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: CephFS
Version: 2.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 2.1
Assignee: John Spray
QA Contact: Ramakrishnan Periyasamy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-12 10:43 UTC by John Spray
Modified: 2017-07-30 15:00 UTC (History)
4 users (show)

Fixed In Version: RHEL: ceph-10.2.3-8.el7cp Ubuntu: ceph_10.2.3-9redhat1xenial
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-22 19:32:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 17466 None None None 2016-10-12 10:43:39 UTC
Red Hat Product Errata RHSA-2016:2815 normal SHIPPED_LIVE Moderate: Red Hat Ceph Storage security, bug fix, and enhancement update 2017-03-22 02:06:33 UTC

Description John Spray 2016-10-12 10:43:40 UTC
This is an issue from upstream:
http://tracker.ceph.com/issues/17466
https://www.mail-archive.com/ceph-users@lists.ceph.com/msg32925.html

10.2.3 (or RHCS 2.0) mons will crash (and continue to crash if restarted) if an older MDS was started with the "mds_standby_for_rank" setting set (due to a decode bug when handling older messages), or if a newer MDS was started with an mds_standby_for_fscid setting that did not correspond to an existing filesystem (due to a failure to validate this field).

Comment 5 Ramakrishnan Periyasamy 2016-10-19 06:56:40 UTC
Moving this bug to verified state.
steps followed for verification

1. Configure cluster with 3 mon and 2 mds in which one MDS with "mds_standby_for_rank" flag(same rank) for 1 file system
2. Add one more MDS daemon with "mds_standby_for_fscid" which should not corresponds to particular file system.
3. stop active MDS service
4. MON should not crash.

Comment 7 errata-xmlrpc 2016-11-22 19:32:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2815.html


Note You need to log in before you can comment on or make changes to this bug.